GET /api/v202406/datapoint

Retrieves all data points

GetDataPointsV202406 Paginated
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Filters

Filter Description Type Operators
channelId Integer equals
commodityCode Commodity Code String equals not equals one of like not like not one of
commodityId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
commodityInfo Commodity Name String equals not equals one of like not like not one of
dataPointCode Data Point Code String equals not equals one of like not like not one of
dataPointId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
dataPointInfo Data Point Name String equals not equals one of like not like not one of
hasChannels Boolean equals
importId Data Point Import ID String equals not equals one of like not like not one of
interval Channel Interval Integer less than equal
manufacturerInfo Manufacturer Name String equals not equals one of like not like not one of
model Data Point Model String equals not equals one of like not like not one of
placeCode Place Code String equals not equals one of like not like not one of
placeEntityTypeId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
placeEntityTypeInfo Place Entity Type Name String equals not equals one of like not like not one of
placeId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
placeInfo Place Name String equals not equals one of like not like not one of
primaryUseCode Primary Use Code String equals not equals one of like not like not one of
primaryUseId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
primaryUseInfo Primary Use Name String equals not equals one of like not like not one of
sentinelEnabled sentinelEnabled Boolean equals
serialNumber Data Point Serial Number String equals not equals one of like not like not one of
topmostSpaceCode Topmost Space Code String equals
topmostSpaceInfo Topmost Space Name String equals

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

DataPointResponse
Property Description Type
active Indicates whether the Data Point is active boolean
channels An array of channels assigned to this Data Point EsaChannelChild[]
EsaChannelChild properties
Property Description Type
channelId The identifier for the channel integer (int32)
channelInfo The channel name string
interval The channel interval integer (int32)
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The date and time the Data Point was created string (date-time)
dataPointCode The Data Point code string
dataPointDescription The Data Point description string
dataPointId The identifier for the Data Point integer (int32)
dataPointInfo The Data Point name string
dataPointTimeZone TimeZoneChild
TimeZoneChild properties
Property Description Type
timeZoneCode string
timeZoneId integer (int32)
timeZoneInfo string
importId The import identifier of the Data Point string
isDataRolledUp Indicates if the primary value channel on the datapoint has a summarization method of SUM boolean
latitudeOverride The latitude of the Data Point, if set it overrides the latitude of it’s parent Place number (double)
longitudeOverride The longitude of the Data Point, if set it overrides the longitude of it’s parent Place number (double)
manufacturer ManufacturerChild
ManufacturerChild properties
Property Description Type
manufacturerId The identifier for the manufacturer integer (int32)
manufacturerInfo The manufacturer name string
model The model of the Data Point string
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate The date and time of the most recent modification of the Data Point string (date-time)
place PlaceChild
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
primaryUse PrimaryUseChild
PrimaryUseChild properties
Property Description Type
primaryUseCode string
primaryUseId integer (int32)
primaryUseInfo string
sentinelEnabled Indicates if the Sentinel is active for primary value channels boolean
sentinelModifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
sentinelStatus Provides some insight into the current Sentinel enabled status. integer (int32)
serialNumber The serial number of the Data Point string
Example Response application/json
[
  {    "active": false,    "channels": [
      {      "channelId": 1,      "channelInfo": "string",      "interval": 1
    }
    ],    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "createdBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "createdDate": "2026-03-30",    "dataPointCode": "string",    "dataPointDescription": "string",    "dataPointId": 1,    "dataPointInfo": "string",    "dataPointTimeZone": {      "timeZoneCode": "string",      "timeZoneId": 1,      "timeZoneInfo": "string"
    },    "importId": "string",    "isDataRolledUp": false,    "latitudeOverride": 1.0,    "longitudeOverride": 1.0,    "manufacturer": {      "manufacturerId": 1,      "manufacturerInfo": "string"
    },    "model": "string",    "modifiedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "modifiedDate": "2026-03-30",    "place": {      "isDataRolledUp": false,      "placeCode": "string",      "placeId": 1,      "placeInfo": "string",      "placeType": {}
    },    "primaryUse": {      "primaryUseCode": "string",      "primaryUseId": 1,      "primaryUseInfo": "string"
    },    "sentinelEnabled": false,    "sentinelModifiedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "sentinelStatus": 1,    "serialNumber": "string"
  }
]